/**
 * 使用ydui   作为ui框架
 */
//ydui 使用rem，需另外引入ydui.flexible.js自适应类库
import "vue-ydui/dist/ydui.rem.css";
import 'vue-ydui/dist/ydui.flexible';
//引入全局 公共CSS
import './assets/css/main.css';
//引入vue框架
import Vue from 'vue';
//引入主路由页面
import App from './App';
//引入路由配置
import router from './router';
//引入ajax库
import axios from 'axios';
import "babel-polyfill";
//引入YDUI  vue组件
import YDUI from 'vue-ydui';
//引入第三方字体图标
import './assets/iconfont/iconfont.css';
//引入cookie库
import Cookies from 'js-cookie';
import moment from 'moment';
import VueSessionStorage from 'vue-sessionstorage';
Vue.use(VueSessionStorage);
//注册YDUI组件
Vue.use(YDUI);
Vue.prototype.$axios = axios;
Vue.prototype.Cookies = Cookies;
Vue.prototype.moment = moment;
//全局配置
Vue.prototype.U = window.U;

new Vue({
	router,
	render: h => h(App)
}).$mount('#app');
